Summary:	Virtual ALSA MIDI keyboard
Name:		vkeybd
Version:	0.1.18d
Release:	%mkrel 12
License:	GPLv2+
Group:		Sound/Midi
URL:		http://www.alsa-project.org/~tiwai/alsa.html
Source:		ftp://ftp.suse.com/pub/people/tiwai/vkeybd/%{name}-%{version}.tar.bz2
Requires:	tk
Requires:	tcl
BuildRequires:	tk
BuildRequires:	pkgconfig(tk)
BuildRequires:	tcl
BuildRequires:	pkgconfig(tcl)
BuildRequires:  pkgconfig(alsa)
Recommends:	TiMidity++

%description
Vkeybd is a virtual keyboard (as in musical instrument)
for AWE32/64, raw MIDI, and ALSA sequencer drivers.  It is written in
Tcl/Tk.  Enjoy playing music with your "computer" keyboard :-)

%prep
%setup -q -n %{name}
perl -p -i -e "s|-O|%optflags||g" Makefile

%build
make PREFIX=%{_prefix} \
	TCLLIB=-ltcl%{tcl_version} \
	TKLIB=-ltk%{tcl_version} \
	CC="gcc %ldflags"

%install
make PREFIX="%{buildroot}"%{_prefix} install
make MAN_DIR=%{buildroot}%{_mandir} install-man

#menu
(cd %{buildroot}
mkdir -p %{buildroot}%{_datadir}/applications/
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{_bindir}/%{name}
Name=VKeybd
Comment=On-screen ALSA MIDI keyboard
Icon=%{name}
Categories=Audio;
EOF
)

#icons
mkdir -p %{buildroot}/%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
cp pixmaps/%{name}_48x48.png %{buildroot}/%{_iconsdir}/hicolor/48x48/apps/%{name}.png
cp pixmaps/%{name}_32x32.png %{buildroot}/%{_iconsdir}/hicolor/32x32/apps/%{name}.png
cp pixmaps/%{name}_16x16.png %{buildroot}/%{_iconsdir}/hicolor/16x16/apps/%{name}.png

%files
%doc README ChangeLog
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.1.18d-12.mga8
+ Revision: 1518050
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.1.18d-11.mga7
+ Revision: 1301627
- Mageia 7 Mass Rebuild

* Fri Feb 12 2016 umeabot <umeabot> 0.1.18d-10.mga6
+ Revision: 959168
- Mageia 6 Mass Rebuild

* Mon Oct 05 2015 daviddavid <daviddavid> 0.1.18d-9.mga6
+ Revision: 886318
- rebuild for new tcl/tk 8.6.4

* Wed Oct 15 2014 umeabot <umeabot> 0.1.18d-8.mga5
+ Revision: 743251
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.18d-7.mga5
+ Revision: 690224
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.1.18d-6.mga4
+ Revision: 520023
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.1.18d-5.mga3
+ Revision: 385430
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 25 2012 zezinho <zezinho> 0.1.18d-4.mga3
+ Revision: 321843
- fix rpm group

* Tue Feb 14 2012 zezinho <zezinho> 0.1.18d-3.mga2
+ Revision: 208829
- Suggest TiMidity++

* Tue Feb 14 2012 zezinho <zezinho> 0.1.18d-2.mga2
+ Revision: 208648
- fix spec
- new version
- imported package vkeybd


* Tue Feb 01 2011 Funda Wang <fwang@mandriva.org> 0.1.17b-6mdv2011.0
+ Revision: 634756
- drop unneeded BR

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org> 0.1.17b-5mdv2010.0
+ Revision: 445697
- rebuild

* Sat Dec 06 2008 Adam Williamson <awilliamson@mandriva.org> 0.1.17b-4mdv2009.1
+ Revision: 310990
- use the macros, Luke
- rebuild for new tcl
- change tcl version

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.1.17b-3mdv2009.0
+ Revision: 255565
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat Jan 12 2008 Adam Williamson <awilliamson@mandriva.org> 0.1.17b-1mdv2008.1
+ Revision: 149669
- rebuild for new tcl/tk
- new release 0.1.17b
- spec clean

  + Thierry Vignaud <tv@mandriva.org>
    - auto convert menu to XDG
    - kill re-definition of %%buildroot on Pixel's request
    - import vkeybd

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed Jan 04 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1.17-5mdk
- rebuilt against soname aware deps (tcl/tk)
- fix deps

* Tue Jan 03 2006 Eskild Hustvedt <eskild@mandriva.org> 0.1.17-4mdk
- Rebuild (No, it's still not a complete distro rebuild)

* Fri Oct 14 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.17-3mdk
- Fix BuildRequires

* Thu Oct 13 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.17-2mdk
- Fix BuildRequires
- %%mkrel

* Mon Aug 29 2005 Austin Acton <austin@mandriva.org> 0.1.17-1mdk
- 0.1.17
- source URL

* Sat Jul 17 2004 Austin Acton <austin@mandrake.org> 0.1.16-1mdk
- 0.1.16
- add menu and icons
- use makeflags

* Fri Apr 25 2003 Austin Acton <aacton@yorku.ca> 0.1.13-2mdk
- buildrequires tk
- fix mandir

* Wed Apr 23 2003 Austin Acton <aacton@yorku.ca> 0.1.13-1mdk
- 0.1.13

* Thu Jan 30 2003 Austin Acton <aacton@yorku.ca> 0.1.12-1mdk
- adapt spec file from Torbjorn Turpeinen <tobbe@nyvalls.se>
